---
hide:
  - navigation
  - toc
icon: fontawesome/solid/scroll
---

# Getting Started

## Introduction
--8<-- "./docs/introduction.md"

## Qwiic Micro OLED (0.66", 64x48)
--8<-- "./docs/hug_micro_view.md"

## Qwiic Transparent Graphical OLED (1.51", 128x56)
--8<-- "./docs/hug_transparent.md"

## Qwiic OLED (0.91", 128x32)
--8<-- "./docs/hug_0p91.md"

## Qwiic OLED (1.3", 128x64)
--8<-- "./docs/hug_1p3.md"

# Software Setup
--8<-- "./docs/software.md"

# API Reference

## Device
--8<-- "./docs/api_device.md"

## Scrolling
--8<-- "./docs/api_scroll.md"

## Drawing State
--8<-- "./docs/api_draw.md"

## Graphics
--8<-- "./docs/api_graphics.md"

## Arduino Print
--8<-- "./docs/api_arduino.md"

# Arduino Examples

## Example 1 - Hello
--8<-- "./docs/ex_01_hello.md

## Example 2 - Shapes
--8<-- "./docs/ex_02_lines.md

## Example 3 - Bitmaps
--8<-- "./docs/ex_03_bitmaps.md

## Example 4 - Text
--8<-- "./docs/ex_04_text.md

## Other Examples
--8<-- "./docs/ex_other.md

# Troubleshooting
--8<-- "./docs/troubleshooting.md"
